Hi all, I'm trying to make a routine to one click a dimension to "mask" the text. (ac2005) I can do it through the properties box under Text|FillColor| set to "Background" after dumping an object I find the TrueColor Property has changed but the actual value seems random How to set the TrueColorProperty to "Background"? may be the specific question. Thanks for any help. Mark :-) (setq before(vlax-get-property dimobj 'truecolor)) ;before mask ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0c813bd0> ; and another time ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 47133bc0> ;after mask ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0c8096b0> ; and another time ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0f02fc40> also tried ;; call the color object (setq colorObj (vla-getinterfaceobject (vlax-get-acad-object) "AutoCAD.AcCmColor.16")) (vlax-invoke-method colorObj 'item "Background") - no item property (vlax-invoke-method colorObj 'name "Background") - no name property